/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.core;

import org.osgi.framework.BundleContext;

/**
 * コア・プラグインです。
 */
public class CorePlugin extends AbstractBentenPlugin {

	/** 共用インスタンス */
	private static CorePlugin plugin;

	/**
	 * コンストラクター。
	 */
	public CorePlugin() {
	}

	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * このプラグインの共用インスタンスを取得。
	 * @return このプラグインの共用インスタンス
	 */
	public static CorePlugin getDefault() {
		return plugin;
	}
}
